aboutsummaryrefslogtreecommitdiff
path: root/gas
diff options
context:
space:
mode:
authorKen Raeburn <raeburn@cygnus>1995-05-02 06:46:21 +0000
committerKen Raeburn <raeburn@cygnus>1995-05-02 06:46:21 +0000
commit833c46e1fb582eab40e4bb67cc7ab1b6753bd370 (patch)
treec543789f12a060862b516829320fb2b258f335ab /gas
parent78dace0a00a35fae78007b15e659fe40f9ad63d1 (diff)
downloadgdb-833c46e1fb582eab40e4bb67cc7ab1b6753bd370.zip
gdb-833c46e1fb582eab40e4bb67cc7ab1b6753bd370.tar.gz
gdb-833c46e1fb582eab40e4bb67cc7ab1b6753bd370.tar.bz2
Move cpu-specific dependencies into Makefile.in, instead of having sometimes
multiple copies in config/*.mt. Select between several make variables with autoconf substitution of cpu_type into a variable name reference.
Diffstat (limited to 'gas')
-rw-r--r--gas/.Sanitize4
-rw-r--r--gas/ChangeLog23
-rw-r--r--gas/Makefile.in41
-rw-r--r--gas/config/.Sanitize10
-rw-r--r--gas/config/arc.mt1
-rw-r--r--gas/config/h8300.mt1
-rw-r--r--gas/config/h8500.mt1
-rw-r--r--gas/config/i386coff.mt1
-rw-r--r--gas/config/m68k.mt1
-rw-r--r--gas/config/m68kcoff.mt1
-rw-r--r--gas/config/m88kcoff.mt1
-rw-r--r--gas/config/mips-big.mt1
-rw-r--r--gas/config/mips-lit.mt1
-rw-r--r--gas/config/rce.mt1
-rw-r--r--gas/config/sh.mt1
-rwxr-xr-xgas/config/w65.mt2
-rw-r--r--gas/config/z8k.mt2
-rwxr-xr-xgas/configure418
-rw-r--r--gas/configure.in17
19 files changed, 255 insertions, 273 deletions
diff --git a/gas/.Sanitize b/gas/.Sanitize
index 5787e7c..75d5cc6 100644
--- a/gas/.Sanitize
+++ b/gas/.Sanitize
@@ -120,7 +120,7 @@ else
done
fi
-rce_files="configure.in as.c configure ChangeLog"
+rce_files="configure.in as.c configure ChangeLog Makefile.in"
if ( echo $* | grep keep\-rce > /dev/null ) ; then
for i in $rce_files ; do
@@ -149,7 +149,7 @@ else
done
fi
-arc_files="ChangeLog configure.in configure"
+arc_files="ChangeLog configure.in configure Makefile.in"
if ( echo $* | grep keep\-arc > /dev/null ) ; then
for i in $arc_files ; do
if test ! -d $i && (grep sanitize-arc $i > /dev/null) ; then
diff --git a/gas/ChangeLog b/gas/ChangeLog
index b8f1cda..777e828 100644
--- a/gas/ChangeLog
+++ b/gas/ChangeLog
@@ -1,5 +1,28 @@
Tue May 2 00:17:04 1995 Ken Raeburn (raeburn@kr-pc.cygnus.com)
+ * Makefile.in (TARG_CPU_DEP_*): New variables.
+ (targ-cpu.o): Depend on one, selected by autoconf substitution,
+ instead of TARG_CPU_DEPENDENTS.
+ * configure.in: Substitute $cpu_type, $obj_format, $atof, and
+ $emulation into Makefile.in.
+start-sanitize-arc
+ * config/arc.mt: Deleted.
+end-sanitize-arc
+ * config/h8300.mt: Deleted.
+ * config/h8500.mt: Deleted.
+ * config/i386coff.mt (TARG_CPU_DEPENDENTS): Deleted.
+ * config/m68k.mt: Deleted.
+ * config/m68kcoff.mt (TARG_CPU_DEPENDENTS): Deleted.
+ * config/m88kcoff.mt (TARG_CPU_DEPENDENTS): Deleted.
+ * config/mips-big.mt (TARG_CPU_DEPENDENTS): Deleted.
+ * config/mips-lit.mt (TARG_CPU_DEPENDENTS): Deleted.
+start-sanitize-rce
+ * config/rce.mt: Deleted.
+end-sanitize-rce
+ * config/sh.mt: Deleted.
+ * config/w65.mt: Deleted.
+ * config/z8k.mt: Deleted.
+
* config/te-dpx2.h (dpx2): Deleted unused macro.
* config/te-generic.h (TE_GENERIC): Ditto.
* config/te-go32.h (TE_GO32): Ditto.
diff --git a/gas/Makefile.in b/gas/Makefile.in
index d1f21b7..cb3ada6 100644
--- a/gas/Makefile.in
+++ b/gas/Makefile.in
@@ -94,7 +94,10 @@ FLAGS_TO_PASS = \
"INSTALL_DATA=$(INSTALL_DATA)" \
"INSTALL_PROGRAM=$(INSTALL_PROGRAM)"
-RUNTEST=runtest
+RUNTEST = `if [ -f ${srcdir}/../dejagnu/runtest ] ; then \
+ echo ${srcdir}/../dejagnu/runtest ; else echo runtest; \
+ fi`
+RUNTESTFLAGS=
CHECKFLAGS= \
"RUNTESTFLAGS=$(RUNTESTFLAGS)" \
"RUNTEST=$(RUNTEST)"
@@ -113,7 +116,6 @@ REAL_SOURCES = \
$(srcdir)/flonum-mult.c \
$(srcdir)/frags.c \
$(srcdir)/hash.c \
- $(srcdir)/hex-value.c \
$(srcdir)/input-file.c \
$(srcdir)/input-scrub.c \
$(srcdir)/literal.c \
@@ -178,7 +180,6 @@ OBJS = \
flonum-mult.o \
frags.o \
hash.o \
- hex-value.o \
input-file.o \
input-scrub.o \
literal.o \
@@ -204,7 +205,8 @@ VMS_OTHER_OBJS = \
../libiberty/concat.o \
../libiberty/getopt.o \
../libiberty/getopt1.o \
- ../libiberty/getruntime.o
+ ../libiberty/getruntime.o \
+ ../libiberty/hex.o
all: .gdbinit as.new gasp.new
@srcroot=`cd $(srcroot); pwd`; export srcroot; \
@@ -288,6 +290,34 @@ config-stamp: Makefile conf
# Compiling object files from source files.
+TARG_CPU_DEP_a29k =
+TARG_CPU_DEP_alpha =
+# start-sanitize-arc
+TARG_CPU_DEP_arc = $(srcdir)/../include/opcode/arc.h
+# end-sanitize-arc
+TARG_CPU_DEP_arm =
+TARG_CPU_DEP_generic =
+TARG_CPU_DEP_h8300 = $(srcdir)/../include/opcode/h8300.h
+TARG_CPU_DEP_h8500 = $(srcdir)/../opcodes/h8500-opc.h
+TARG_CPU_DEP_hppa =
+TARG_CPU_DEP_i386 = $(srcdir)/../include/opcode/i386.h
+TARG_CPU_DEP_i860 =
+TARG_CPU_DEP_i960 =
+TARG_CPU_DEP_m68k = $(srcdir)/../include/opcode/m68k.h
+TARG_CPU_DEP_m88k = $(srcdir)/config/m88k-opcode.h
+TARG_CPU_DEP_mips = $(srcdir)/../include/opcode/mips.h
+TARG_CPU_DEP_ns32k =
+TARG_CPU_DEP_ppc =
+# start-sanitize-rce
+TARG_CPU_DEP_rce = $(srcdir)/../opcodes/rce-opc.h
+# end-sanitize-rce
+TARG_CPU_DEP_sh = $(srcdir)/../opcodes/sh-opc.h
+TARG_CPU_DEP_sparc =
+TARG_CPU_DEP_tahoe =
+TARG_CPU_DEP_vax =
+TARG_CPU_DEP_w65 = $(srcdir)/../opcodes/w65-opc.h
+TARG_CPU_DEP_z8k = $(srcdir)/../opcodes/z8k-opc.h
+
gasp.o : gasp.c config.h
app.o : app.c write.h
as.o : as.c output-file.h write.h subsegs.h
@@ -301,7 +331,6 @@ flonum-copy.o : flonum-copy.c
flonum-mult.o : flonum-mult.c
frags.o : frags.c subsegs.h
hash.o : hash.c
-hex-value.o : hex-value.c
input-file.o : input-file.c input-file.h
input-scrub.o : input-scrub.c input-file.h
listing.o : listing.c input-file.h subsegs.h
@@ -320,7 +349,7 @@ ecoff.o : ecoff.c ecoff.h \
stabs.o : stabs.c subsegs.h $(srcdir)/../include/aout/stab_gnu.h
atof-targ.o : atof-targ.c
obj-format.o : obj-format.c
-targ-cpu.o : targ-cpu.c $(TARG_CPU_DEPENDENTS)
+targ-cpu.o : targ-cpu.c $(TARG_CPU_DEP_@cpu_type@)
# Remake the info files.
diff --git a/gas/config/.Sanitize b/gas/config/.Sanitize
index bf15102..20282ec 100644
--- a/gas/config/.Sanitize
+++ b/gas/config/.Sanitize
@@ -15,7 +15,7 @@
Do-first:
-rce_files="tc-rce.c tc-rce.h rce.mt"
+rce_files="tc-rce.c tc-rce.h"
if ( echo $* | grep keep\-rce > /dev/null ) ; then
keep_these_too="${rce_files} ${keep_these_too}"
@@ -23,7 +23,7 @@ else
lose_these_too="${rce_files} ${lose_these_too}"
fi
-arc_files="tc-arc.c tc-arc.h arc.mt"
+arc_files="tc-arc.c tc-arc.h"
if ( echo $* | grep keep\-arc > /dev/null ) ; then
keep_these_too="${arc_files} ${keep_these_too}"
@@ -45,10 +45,7 @@ atof-ieee.c
atof-tahoe.c
atof-vax.c
go32.cfg
-h8300.mt
-h8500.mt
i386coff.mt
-m68k.mt
m68kcoff.mt
m88k-opcode.h
m88kcoff.mt
@@ -74,7 +71,6 @@ obj-som.c
obj-som.h
obj-vms.c
obj-vms.h
-sh.mt
tc-a29k.c
tc-a29k.h
tc-alpha.c
@@ -139,8 +135,6 @@ te-sun3.h
te-sysv32.h
vax-inst.h
vms-conf.h
-w65.mt
-z8k.mt
Things-to-lose:
diff --git a/gas/config/arc.mt b/gas/config/arc.mt
deleted file mode 100644
index a3b853f..0000000
--- a/gas/config/arc.mt
+++ /dev/null
@@ -1 +0,0 @@
-TARG_CPU_DEPENDENTS=$(srcdir)/../include/opcode/arc.h
diff --git a/gas/config/h8300.mt b/gas/config/h8300.mt
deleted file mode 100644
index b45ae58..0000000
--- a/gas/config/h8300.mt
+++ /dev/null
@@ -1 +0,0 @@
-TARG_CPU_DEPENDENTS=$(srcdir)/../include/opcode/h8300.h
diff --git a/gas/config/h8500.mt b/gas/config/h8500.mt
deleted file mode 100644
index 6bd5464..0000000
--- a/gas/config/h8500.mt
+++ /dev/null
@@ -1 +0,0 @@
-TARG_CPU_DEPENDENTS=$(srcdir)/../opcodes/h8500-opc.h
diff --git a/gas/config/i386coff.mt b/gas/config/i386coff.mt
index f44b9a4..efda833 100644
--- a/gas/config/i386coff.mt
+++ b/gas/config/i386coff.mt
@@ -1,2 +1 @@
-TARG_CPU_DEPENDENTS=$(srcdir)/../include/opcode/i386.h
TDEFINES=-DI386COFF
diff --git a/gas/config/m68k.mt b/gas/config/m68k.mt
deleted file mode 100644
index ab14949..0000000
--- a/gas/config/m68k.mt
+++ /dev/null
@@ -1 +0,0 @@
-TARG_CPU_DEPENDENTS=$(srcdir)/../include/opcode/m68k.h
diff --git a/gas/config/m68kcoff.mt b/gas/config/m68kcoff.mt
index 79bcbfe..0d07eb1 100644
--- a/gas/config/m68kcoff.mt
+++ b/gas/config/m68kcoff.mt
@@ -1,2 +1 @@
-TARG_CPU_DEPENDENTS=$(srcdir)/../include/opcode/m68k.h
TDEFINES=-DM68KCOFF
diff --git a/gas/config/m88kcoff.mt b/gas/config/m88kcoff.mt
index 3733266..474f6a0 100644
--- a/gas/config/m88kcoff.mt
+++ b/gas/config/m88kcoff.mt
@@ -1,2 +1 @@
-TARG_CPU_DEPENDENTS=$(srcdir)/config/m88k-opcode.h
TDEFINES=-DM88KCOFF
diff --git a/gas/config/mips-big.mt b/gas/config/mips-big.mt
index a26f484..31e773a 100644
--- a/gas/config/mips-big.mt
+++ b/gas/config/mips-big.mt
@@ -1,2 +1 @@
TDEFINES=-DTARGET_BYTES_BIG_ENDIAN
-TARG_CPU_DEPENDENTS=$(srcdir)/../include/opcode/mips.h
diff --git a/gas/config/mips-lit.mt b/gas/config/mips-lit.mt
index 9faa183..9e240e8 100644
--- a/gas/config/mips-lit.mt
+++ b/gas/config/mips-lit.mt
@@ -1,2 +1 @@
TDEFINES=-DTARGET_BYTES_LITTLE_ENDIAN
-TARG_CPU_DEPENDENTS=$(srcdir)/../include/opcode/mips.h
diff --git a/gas/config/rce.mt b/gas/config/rce.mt
deleted file mode 100644
index 5c82ab4..0000000
--- a/gas/config/rce.mt
+++ /dev/null
@@ -1 +0,0 @@
-TARG_CPU_DEPENDENTS=$(srcdir)/../opcodes/rce-opc.h
diff --git a/gas/config/sh.mt b/gas/config/sh.mt
deleted file mode 100644
index 718f034..0000000
--- a/gas/config/sh.mt
+++ /dev/null
@@ -1 +0,0 @@
-TARG_CPU_DEPENDENTS=$(srcdir)/../opcodes/sh-opc.h
diff --git a/gas/config/w65.mt b/gas/config/w65.mt
deleted file mode 100755
index b39faae..0000000
--- a/gas/config/w65.mt
+++ /dev/null
@@ -1,2 +0,0 @@
-TARG_CPU_DEPENDENTS=$(srcdir)/../opcodes/w65-opc.h
-
diff --git a/gas/config/z8k.mt b/gas/config/z8k.mt
deleted file mode 100644
index 6791fec..0000000
--- a/gas/config/z8k.mt
+++ /dev/null
@@ -1,2 +0,0 @@
-TARG_CPU_DEPENDENTS=$(srcdir)/../opcodes/z8k-opc.h
-#TDEFINES=-DSINGLE_QUOTE_STRINGS
diff --git a/gas/configure b/gas/configure
index 99ccc20..cce0501 100755
--- a/gas/configure
+++ b/gas/configure
@@ -1,7 +1,7 @@
-#!/bin/sh
+#! /bin/sh
# Guess values for system-dependent variables and create Makefiles.
-# Generated automatically using autoconf version 2.1
+# Generated automatically using autoconf version 2.3
# Copyright (C) 1992, 1993, 1994 Free Software Foundation, Inc.
#
# This configure script is free software; the Free Software Foundation
@@ -218,7 +218,7 @@ EOF
verbose=yes ;;
-version | --version | --versio | --versi | --vers)
- echo "configure generated by autoconf version 2.1"
+ echo "configure generated by autoconf version 2.3"
exit 0 ;;
-with-* | --with-*)
@@ -281,19 +281,20 @@ if test -n "$ac_prev"; then
{ echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
fi
-trap 'rm -fr conftest* confdefs* core $ac_clean_files; exit 1' 1 2 15
+trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
# File descriptor usage:
-# 0 unused; standard input
+# 0 standard input
# 1 file creation
# 2 errors and warnings
-# 3 unused; some systems may open it to /dev/tty
-# 4 checking for... messages and results
+# 3 some systems may open it to /dev/tty
+# 4 used on the Kubota Titan
+# 6 checking for... messages and results
# 5 compiler messages saved in config.log
if test "$silent" = yes; then
- exec 4>/dev/null
+ exec 6>/dev/null
else
- exec 4>&1
+ exec 6>&1
fi
exec 5>./config.log
@@ -383,8 +384,8 @@ fi
ac_ext=c
# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
ac_cpp='$CPP $CPPFLAGS'
-ac_compile='${CC-cc} $CFLAGS $CPPFLAGS conftest.$ac_ext -c 1>&5 2>&5'
-ac_link='${CC-cc} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext -o conftest $LIBS 1>&5 2>&5'
+ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5 2>&5'
+ac_link='${CC-cc} -o conftest $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5 2>&5'
if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
# Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
@@ -459,7 +460,7 @@ if $ac_config_sub sun4 >/dev/null 2>&1; then :
else { echo "configure: error: can not run $ac_config_sub" 1>&2; exit 1; }
fi
-echo $ac_n "checking host system type""... $ac_c" 1>&4
+echo $ac_n "checking host system type""... $ac_c" 1>&6
host_alias=$host
case "$host_alias" in
@@ -477,9 +478,9 @@ host=`$ac_config_sub $host_alias`
host_cpu=`echo $host | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\1/'`
host_vendor=`echo $host | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\2/'`
host_os=`echo $host | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\3/'`
-echo "$ac_t""$host" 1>&4
+echo "$ac_t""$host" 1>&6
-echo $ac_n "checking target system type""... $ac_c" 1>&4
+echo $ac_n "checking target system type""... $ac_c" 1>&6
target_alias=$target
case "$target_alias" in
@@ -494,9 +495,9 @@ target=`$ac_config_sub $target_alias`
target_cpu=`echo $target | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\1/'`
target_vendor=`echo $target | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\2/'`
target_os=`echo $target | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\3/'`
-echo "$ac_t""$target" 1>&4
+echo "$ac_t""$target" 1>&6
-echo $ac_n "checking build system type""... $ac_c" 1>&4
+echo $ac_n "checking build system type""... $ac_c" 1>&6
build_alias=$build
case "$build_alias" in
@@ -511,11 +512,12 @@ build=`$ac_config_sub $build_alias`
build_cpu=`echo $build | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\1/'`
build_vendor=`echo $build | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\2/'`
build_os=`echo $build | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\3/'`
-echo "$ac_t""$build" 1>&4
+echo "$ac_t""$build" 1>&6
test "$host_alias" != "$target_alias" &&
test "$program_prefix$program_suffix$program_transform_name" = \
- NONENONEs,x,x, && program_prefix=${target_alias}-
+ NONENONEs,x,x, &&
+ program_prefix=${target_alias}-
if test "$program_transform_name" = s,x,x,; then
program_transform_name=
@@ -549,7 +551,6 @@ case ${target_cpu} in
m8*) cpu_type=m88k ;;
mips*el) cpu_type=mips endian=little;;
mips*) cpu_type=mips endian=big ;;
- powerpc*eabi*) cpu_type=ppc obj_format=elf;;
powerpc*) cpu_type=ppc ;;
rs6000*) cpu_type=ppc ;;
sparc64) cpu_type=sparc obj_format=elf
@@ -579,6 +580,7 @@ dev=no
case ${generic_target} in
a29k-amd-udi) obj_format=coff gas_target=ebmon29k ;;
a29k-amd-ebmon) obj_format=coff gas_target=ebmon29k ;;
+ a29k-*-vxworks*) obj_format=coff ;;
alpha-*-netware*) obj_format=ecoff ;;
alpha-*-osf*) obj_format=ecoff ;;
@@ -602,10 +604,10 @@ case ${generic_target} in
i386-*-bsd*) obj_format=aout emulation=386bsd ;;
i386-*-netbsd0.8) obj_format=aout emulation=386bsd ;;
i386-*-netbsd*) obj_format=aout emulation=nbsd bfd_gas=yes;;
- i386-*-linux*elf*) obj_format=elf emulation=linux ;;
+ i386-*-linux*aout*) obj_format=aout emulation=linux ;;
i386-*-linux*coff*) obj_format=coff emulation=linux
gas_target=i386coff ;;
- i386-*-linux*) obj_format=aout emulation=linux ;;
+ i386-*-linux*) obj_format=elf emulation=linux ;;
i386-*-lynxos*) obj_format=coff gas_target=i386coff
emulation=lynx ;;
i386-*-sysv4* | i386-*-solaris* | i386-*-elf)
@@ -627,13 +629,14 @@ case ${generic_target} in
i960-*-vxworks5.*) obj_format=coff emulation=ic960 gas_target=ic960coff ;;
i960-*-vxworks*) obj_format=bout ;;
- m68k-wrs-vxworks | m68k-ericsson-ose | m68k-*-sunos*)
+ m68k-*-vxworks* | m68k-ericsson-ose | m68k-*-sunos*)
obj_format=aout emulation=sun3 ;;
m68k-motorola-sysv) obj_format=coff gas_target=m68kcoff emulation=delta ;;
m68k-bull-sysv3*) obj_format=coff gas_target=m68kcoff emulation=dpx2 ;;
m68k-apollo-*) obj_format=coff gas_target=apollo emulation=apollo ;;
m68k-*-coff | m68k-*-sysv*)
obj_format=coff gas_target=m68kcoff ;;
+ m68k-*-elf) obj_format=elf ;;
m68k-*-hpux*) obj_format=hp300 emulation=hp300 ;;
m68k-*-lynxos*) obj_format=coff gas_target=m68kcoff
emulation=lynx ;;
@@ -671,6 +674,7 @@ case ${generic_target} in
;;
ppc-*-aix*) obj_format=coff ;;
ppc-*-elf*) obj_format=elf ;;
+ ppc-*-eabi*) obj_format=elf ;;
ppc-*-netware*) obj_format=elf emulation=ppcnw ;;
ppc-*-sysv4*) obj_format=elf ;;
@@ -801,6 +805,11 @@ esac
+
+
+
+
+
case "${bfd_gas}" in
yes) cat >> confdefs.h <<\EOF
#define BFD_ASSEMBLER 1
@@ -838,10 +847,10 @@ cat >> confdefs.h <<EOF
EOF
-echo $ac_n "checking for CC""... $ac_c" 1>&4
+echo $ac_n "checking for CC""... $ac_c" 1>&6
test -z "$CC" && CC=`egrep '^CC *=' ../Makefile | tail -1 | sed 's/^CC *= *//'`
test -z "$CC" && CC=cc
-echo "$ac_t""setting CC to $CC" 1>&4
+echo "$ac_t""setting CC to $CC" 1>&6
# Find out if we are using GNU C, under whatever name.
cat > conftest.c <<EOF
@@ -867,15 +876,16 @@ rm -f conftest*
# AFS /usr/afsws/bin/install, which mishandles nonexistent args
# SVR4 /usr/ucb/install, which tries to use the nonexistent group "staff"
# ./install, which can be erroneously created by make from ./install.sh.
-echo $ac_n "checking for a BSD compatible install""... $ac_c" 1>&4
+echo $ac_n "checking for a BSD compatible install""... $ac_c" 1>&6
if test -z "$INSTALL"; then
-if eval "test \"`echo '${'ac_cv_path_install'+set}'`\" = set"; then
- echo $ac_n "(cached) $ac_c" 1>&4
+if eval "test \"`echo '$''{'ac_cv_path_install'+set}'`\" = set"; then
+ echo $ac_n "(cached) $ac_c" 1>&6
else
IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
for ac_dir in $PATH; do
- case "$ac_dir" in
- ''|.|/etc|/usr/sbin|/usr/etc|/sbin|/usr/afsws/bin|/usr/ucb) ;;
+ # Account for people who put trailing slashes in PATH elements.
+ case "$ac_dir/" in
+ /|./|.//|/etc/*|/usr/sbin/*|/usr/etc/*|/sbin/*|/usr/afsws/bin/*|/usr/ucb/*) ;;
*)
# OSF1 and SCO ODT 3.0 have their own names for install.
for ac_prog in ginstall installbsd scoinst install; do
@@ -900,7 +910,7 @@ else
fi
INSTALL="$ac_cv_path_install"
fi
-echo "$ac_t""$INSTALL" 1>&4
+echo "$ac_t""$INSTALL" 1>&6
# Use test -z because SunOS4 sh mishandles braces in ${var-val}.
# It thinks the first close brace ends the variable substitution.
@@ -909,14 +919,14 @@ test -z "$INSTALL_PROGRAM" && INSTALL_PROGRAM='${INSTALL}'
test -z "$INSTALL_DATA" && INSTALL_DATA='${INSTALL} -m 644'
-echo $ac_n "checking how to run the C preprocessor""... $ac_c" 1>&4
+echo $ac_n "checking how to run the C preprocessor""... $ac_c" 1>&6
# On Suns, sometimes $CPP names a directory.
if test -n "$CPP" && test -d "$CPP"; then
CPP=
fi
if test -z "$CPP"; then
-if eval "test \"`echo '${'ac_cv_prog_CPP'+set}'`\" = set"; then
- echo $ac_n "(cached) $ac_c" 1>&4
+if eval "test \"`echo '$''{'ac_cv_prog_CPP'+set}'`\" = set"; then
+ echo $ac_n "(cached) $ac_c" 1>&6
else
# This must be in double quotes, not single quotes, because CPP may get
# substituted into the Makefile and "${CC-cc}" will confuse make.
@@ -924,7 +934,7 @@ else
# On the NeXT, cc -E runs the code through the compiler's parser,
# not just through cpp.
cat > conftest.$ac_ext <<EOF
-#line 928 "configure"
+#line 938 "configure"
#include "confdefs.h"
#include <assert.h>
Syntax Error
@@ -938,7 +948,7 @@ else
rm -rf conftest*
CPP="${CC-cc} -E -traditional-cpp"
cat > conftest.$ac_ext <<EOF
-#line 942 "configure"
+#line 952 "configure"
#include "confdefs.h"
#include <assert.h>
Syntax Error
@@ -959,17 +969,17 @@ rm -f conftest*
fi
fi
CPP="$ac_cv_prog_CPP"
-echo "$ac_t""$CPP" 1>&4
+echo "$ac_t""$CPP" 1>&6
for ac_hdr in string.h stdlib.h memory.h strings.h unistd.h stdarg.h varargs.h errno.h sys/types.h
do
ac_safe=`echo "$ac_hdr" | tr './\055' '___'`
-echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&4
-if eval "test \"`echo '${'ac_cv_header_$ac_safe'+set}'`\" = set"; then
- echo $ac_n "(cached) $ac_c" 1>&4
+echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
+if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
+ echo $ac_n "(cached) $ac_c" 1>&6
else
cat > conftest.$ac_ext <<EOF
-#line 973 "configure"
+#line 983 "configure"
#include "confdefs.h"
#include <$ac_hdr>
EOF
@@ -986,21 +996,21 @@ fi
rm -f conftest*
fi
if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
- echo "$ac_t""yes" 1>&4
+ echo "$ac_t""yes" 1>&6
ac_tr_hdr=HAVE_`echo $ac_hdr | tr '[a-z]./\055' '[A-Z]___'`
cat >> confdefs.h <<EOF
#define $ac_tr_hdr 1
EOF
else
- echo "$ac_t""no" 1>&4
+ echo "$ac_t""no" 1>&6
fi
done
# Put this here so that autoconf's "cross-compiling" message doesn't confuse
# people who are not cross-compiling but are compiling cross-assemblers.
-echo $ac_n "checking whether compiling a cross-assembler""... $ac_c" 1>&4
+echo $ac_n "checking whether compiling a cross-assembler""... $ac_c" 1>&6
if test "${host}" = "${target}"; then
cross_gas=no
else
@@ -1010,18 +1020,18 @@ else
EOF
fi
-echo "$ac_t""$cross_gas" 1>&4
+echo "$ac_t""$cross_gas" 1>&6
# If we cannot run a trivial program, we must be cross compiling.
-echo $ac_n "checking whether cross-compiling""... $ac_c" 1>&4
-if eval "test \"`echo '${'ac_cv_c_cross'+set}'`\" = set"; then
- echo $ac_n "(cached) $ac_c" 1>&4
+echo $ac_n "checking whether cross-compiling""... $ac_c" 1>&6
+if eval "test \"`echo '$''{'ac_cv_c_cross'+set}'`\" = set"; then
+ echo $ac_n "(cached) $ac_c" 1>&6
else
if test "$cross_compiling" = yes; then
- ac_cv_cross=yes
+ ac_cv_c_cross=yes
else
cat > conftest.$ac_ext <<EOF
-#line 1025 "configure"
+#line 1035 "configure"
#include "confdefs.h"
main(){return(0);}
EOF
@@ -1035,16 +1045,16 @@ fi
rm -fr conftest*
fi
cross_compiling=$ac_cv_c_cross
-echo "$ac_t""$ac_cv_c_cross" 1>&4
+echo "$ac_t""$ac_cv_c_cross" 1>&6
# The Ultrix 4.2 mips builtin alloca declared by alloca.h only works
# for constant arguments. Useless!
-echo $ac_n "checking for working alloca.h""... $ac_c" 1>&4
-if eval "test \"`echo '${'ac_cv_header_alloca_h'+set}'`\" = set"; then
- echo $ac_n "(cached) $ac_c" 1>&4
+echo $ac_n "checking for working alloca.h""... $ac_c" 1>&6
+if eval "test \"`echo '$''{'ac_cv_header_alloca_h'+set}'`\" = set"; then
+ echo $ac_n "(cached) $ac_c" 1>&6
else
cat > conftest.$ac_ext <<EOF
-#line 1048 "configure"
+#line 1058 "configure"
#include "confdefs.h"
#include <alloca.h>
int main() { return 0; }
@@ -1062,7 +1072,7 @@ fi
rm -f conftest*
fi
-echo "$ac_t""$ac_cv_header_alloca_h" 1>&4
+echo "$ac_t""$ac_cv_header_alloca_h" 1>&6
if test $ac_cv_header_alloca_h = yes; then
cat >> confdefs.h <<\EOF
#define HAVE_ALLOCA_H 1
@@ -1070,12 +1080,12 @@ EOF
fi
-echo $ac_n "checking for alloca""... $ac_c" 1>&4
-if eval "test \"`echo '${'ac_cv_func_alloca'+set}'`\" = set"; then
- echo $ac_n "(cached) $ac_c" 1>&4
+echo $ac_n "checking for alloca""... $ac_c" 1>&6
+if eval "test \"`echo '$''{'ac_cv_func_alloca'+set}'`\" = set"; then
+ echo $ac_n "(cached) $ac_c" 1>&6
else
cat > conftest.$ac_ext <<EOF
-#line 1079 "configure"
+#line 1089 "configure"
#include "confdefs.h"
#ifdef __GNUC__
@@ -1109,7 +1119,7 @@ fi
rm -f conftest*
fi
-echo "$ac_t""$ac_cv_func_alloca" 1>&4
+echo "$ac_t""$ac_cv_func_alloca" 1>&6
if test $ac_cv_func_alloca = yes; then
cat >> confdefs.h <<\EOF
#define HAVE_ALLOCA 1
@@ -1128,12 +1138,12 @@ if test $ac_cv_func_alloca = no; then
EOF
-echo $ac_n "checking whether alloca needs Cray hooks""... $ac_c" 1>&4
-if eval "test \"`echo '${'ac_cv_os_cray'+set}'`\" = set"; then
- echo $ac_n "(cached) $ac_c" 1>&4
+echo $ac_n "checking whether alloca needs Cray hooks""... $ac_c" 1>&6
+if eval "test \"`echo '$''{'ac_cv_os_cray'+set}'`\" = set"; then
+ echo $ac_n "(cached) $ac_c" 1>&6
else
cat > conftest.$ac_ext <<EOF
-#line 1137 "configure"
+#line 1147 "configure"
#include "confdefs.h"
#if defined(CRAY) && ! defined(CRAY2)
webecray
@@ -1153,104 +1163,21 @@ fi
rm -f conftest*
fi
-echo "$ac_t""$ac_cv_os_cray" 1>&4
+echo "$ac_t""$ac_cv_os_cray" 1>&6
if test $ac_cv_os_cray = yes; then
-echo $ac_n "checking for _getb67""... $ac_c" 1>&4
-if eval "test \"`echo '${'ac_cv_func__getb67'+set}'`\" = set"; then
- echo $ac_n "(cached) $ac_c" 1>&4
+for ac_func in _getb67 GETB67 getb67; do
+ echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
+if eval "test \"`echo '$''{'ac_cv_func_$ac_func'+set}'`\" = set"; then
+ echo $ac_n "(cached) $ac_c" 1>&6
else
cat > conftest.$ac_ext <<EOF
-#line 1164 "configure"
+#line 1175 "configure"
#include "confdefs.h"
-#include <ctype.h> /* Arbitrary system header to define __stub macros. */
-/* Override any gcc2 internal prototype to avoid an error. */
-char _getb67();
-
-int main() { return 0; }
-int t() {
-
-/* The GNU C library defines this for functions which it implements
- to always fail with ENOSYS. Some functions are actually named
- something starting with __ and the normal name is an alias. */
-#if defined (__stub__getb67) || defined (__stub____getb67)
-choke me
-#else
-_getb67();
-#endif
-
-; return 0; }
-EOF
-if eval $ac_link; then
- rm -rf conftest*
- eval "ac_cv_func__getb67=yes"
-else
- rm -rf conftest*
- eval "ac_cv_func__getb67=no"
-fi
-rm -f conftest*
-
-fi
-if eval "test \"`echo '$ac_cv_func_'_getb67`\" = yes"; then
- echo "$ac_t""yes" 1>&4
- cat >> confdefs.h <<\EOF
-#define CRAY_STACKSEG_END _getb67
-EOF
-
-else
- echo "$ac_t""no" 1>&4
-echo $ac_n "checking for GETB67""... $ac_c" 1>&4
-if eval "test \"`echo '${'ac_cv_func_GETB67'+set}'`\" = set"; then
- echo $ac_n "(cached) $ac_c" 1>&4
-else
- cat > conftest.$ac_ext <<EOF
-#line 1207 "configure"
-#include "confdefs.h"
-#include <ctype.h> /* Arbitrary system header to define __stub macros. */
-/* Override any gcc2 internal prototype to avoid an error. */
-char GETB67();
-
-int main() { return 0; }
-int t() {
-
-/* The GNU C library defines this for functions which it implements
- to always fail with ENOSYS. Some functions are actually named
- something starting with __ and the normal name is an alias. */
-#if defined (__stub_GETB67) || defined (__stub___GETB67)
-choke me
-#else
-GETB67();
-#endif
-
-; return 0; }
-EOF
-if eval $ac_link; then
- rm -rf conftest*
- eval "ac_cv_func_GETB67=yes"
-else
- rm -rf conftest*
- eval "ac_cv_func_GETB67=no"
-fi
-rm -f conftest*
-
-fi
-if eval "test \"`echo '$ac_cv_func_'GETB67`\" = yes"; then
- echo "$ac_t""yes" 1>&4
- cat >> confdefs.h <<\EOF
-#define CRAY_STACKSEG_END GETB67
-EOF
-
-else
- echo "$ac_t""no" 1>&4
-echo $ac_n "checking for getb67""... $ac_c" 1>&4
-if eval "test \"`echo '${'ac_cv_func_getb67'+set}'`\" = set"; then
- echo $ac_n "(cached) $ac_c" 1>&4
-else
- cat > conftest.$ac_ext <<EOF
-#line 1250 "configure"
-#include "confdefs.h"
-#include <ctype.h> /* Arbitrary system header to define __stub macros. */
+/* System header to define __stub macros and hopefully few prototypes,
+ which can conflict with char $ac_func(); below. */
+#include <assert.h>
/* Override any gcc2 internal prototype to avoid an error. */
-char getb67();
+char $ac_func();
int main() { return 0; }
int t() {
@@ -1258,49 +1185,47 @@ int t() {
/* The GNU C library defines this for functions which it implements
to always fail with ENOSYS. Some functions are actually named
something starting with __ and the normal name is an alias. */
-#if defined (__stub_getb67) || defined (__stub___getb67)
+#if defined (__stub_$ac_func) || defined (__stub___$ac_func)
choke me
#else
-getb67();
+$ac_func();
#endif
; return 0; }
EOF
if eval $ac_link; then
rm -rf conftest*
- eval "ac_cv_func_getb67=yes"
+ eval "ac_cv_func_$ac_func=yes"
else
rm -rf conftest*
- eval "ac_cv_func_getb67=no"
+ eval "ac_cv_func_$ac_func=no"
fi
rm -f conftest*
fi
-if eval "test \"`echo '$ac_cv_func_'getb67`\" = yes"; then
- echo "$ac_t""yes" 1>&4
- cat >> confdefs.h <<\EOF
-#define CRAY_STACKSEG_END getb67
+if eval "test \"`echo '$ac_cv_func_'$ac_func`\" = yes"; then
+ echo "$ac_t""yes" 1>&6
+ cat >> confdefs.h <<EOF
+#define CRAY_STACKSEG_END $ac_func
EOF
+ break
else
- echo "$ac_t""no" 1>&4
-fi
-
-fi
-
+ echo "$ac_t""no" 1>&6
fi
+done
fi
-echo $ac_n "checking stack direction for C alloca""... $ac_c" 1>&4
-if eval "test \"`echo '${'ac_cv_c_stack_direction'+set}'`\" = set"; then
- echo $ac_n "(cached) $ac_c" 1>&4
+echo $ac_n "checking stack direction for C alloca""... $ac_c" 1>&6
+if eval "test \"`echo '$''{'ac_cv_c_stack_direction'+set}'`\" = set"; then
+ echo $ac_n "(cached) $ac_c" 1>&6
else
if test "$cross_compiling" = yes; then
ac_cv_c_stack_direction=0
else
cat > conftest.$ac_ext <<EOF
-#line 1304 "configure"
+#line 1229 "configure"
#include "confdefs.h"
find_stack_direction ()
{
@@ -1328,60 +1253,64 @@ fi
fi
rm -fr conftest*
fi
-echo "$ac_t""$ac_cv_c_stack_direction" 1>&4
+echo "$ac_t""$ac_cv_c_stack_direction" 1>&6
cat >> confdefs.h <<EOF
#define STACK_DIRECTION $ac_cv_c_stack_direction
EOF
fi
-echo $ac_n "checking for inline""... $ac_c" 1>&4
-if eval "test \"`echo '${'ac_cv_c_inline'+set}'`\" = set"; then
- echo $ac_n "(cached) $ac_c" 1>&4
+echo $ac_n "checking for inline""... $ac_c" 1>&6
+if eval "test \"`echo '$''{'ac_cv_c_inline'+set}'`\" = set"; then
+ echo $ac_n "(cached) $ac_c" 1>&6
else
- if test "$GCC" = yes; then
-cat > conftest.$ac_ext <<EOF
-#line 1345 "configure"
+ ac_cv_c_inline=no
+for ac_kw in inline __inline__ __inline; do
+ cat > conftest.$ac_ext <<EOF
+#line 1271 "configure"
#include "confdefs.h"
int main() { return 0; }
int t() {
-} inline foo() {
+} $ac_kw foo() {
; return 0; }
EOF
if eval $ac_compile; then
rm -rf conftest*
- ac_cv_c_inline=yes
-else
- rm -rf conftest*
- ac_cv_c_inline=no
+ ac_cv_c_inline=$ac_kw; break
fi
rm -f conftest*
-else
- ac_cv_c_inline=no
-fi
-fi
-echo "$ac_t""$ac_cv_c_inline" 1>&4
-if test $ac_cv_c_inline = no; then
- cat >> confdefs.h <<\EOF
-#define inline __inline
-EOF
+done
fi
+echo "$ac_t""$ac_cv_c_inline" 1>&6
+case "$ac_cv_c_inline" in
+ inline | yes) ;;
+ no) cat >> confdefs.h <<\EOF
+#define inline
+EOF
+ ;;
+ *) cat >> confdefs.h <<EOF
+#define inline $ac_cv_c_inline
+EOF
+ ;;
+esac
# VMS doesn't have unlink.
for ac_func in unlink remove
do
-echo $ac_n "checking for $ac_func""... $ac_c" 1>&4
-if eval "test \"`echo '${'ac_cv_func_$ac_func'+set}'`\" = set"; then
- echo $ac_n "(cached) $ac_c" 1>&4
+echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
+if eval "test \"`echo '$''{'ac_cv_func_$ac_func'+set}'`\" = set"; then
+ echo $ac_n "(cached) $ac_c" 1>&6
else
cat > conftest.$ac_ext <<EOF
-#line 1383 "configure"
+#line 1310 "configure"
#include "confdefs.h"
-#include <ctype.h> /* Arbitrary system header to define __stub macros. */
+/* System header to define __stub macros and hopefully few prototypes,
+ which can conflict with char $ac_func(); below. */
+#include <assert.h>
/* Override any gcc2 internal prototype to avoid an error. */
char $ac_func();
@@ -1410,14 +1339,14 @@ rm -f conftest*
fi
if eval "test \"`echo '$ac_cv_func_'$ac_func`\" = yes"; then
- echo "$ac_t""yes" 1>&4
+ echo "$ac_t""yes" 1>&6
ac_tr_func=HAVE_`echo $ac_func | tr '[a-z]' '[A-Z]'`
cat >> confdefs.h <<EOF
#define $ac_tr_func 1
EOF
break
else
- echo "$ac_t""no" 1>&4
+ echo "$ac_t""no" 1>&6
fi
done
@@ -1425,12 +1354,12 @@ done
# Some non-ANSI preprocessors botch requoting inside strings. That's bad
# enough, but on some of those systems, the assert macro relies on requoting
# working properly!
-echo $ac_n "checking for working assert macro""... $ac_c" 1>&4
-if eval "test \"`echo '${'gas_cv_assert_ok'+set}'`\" = set"; then
- echo $ac_n "(cached) $ac_c" 1>&4
+echo $ac_n "checking for working assert macro""... $ac_c" 1>&6
+if eval "test \"`echo '$''{'gas_cv_assert_ok'+set}'`\" = set"; then
+ echo $ac_n "(cached) $ac_c" 1>&6
else
cat > conftest.$ac_ext <<EOF
-#line 1434 "configure"
+#line 1363 "configure"
#include "confdefs.h"
#include <assert.h>
#include <stdio.h>
@@ -1457,7 +1386,7 @@ fi
rm -f conftest*
fi
-echo "$ac_t""$gas_cv_assert_ok" 1>&4
+echo "$ac_t""$gas_cv_assert_ok" 1>&6
test $gas_cv_assert_ok = yes || cat >> confdefs.h <<\EOF
#define BROKEN_ASSERT 1
EOF
@@ -1482,12 +1411,12 @@ gas_test_headers="
#endif
"
-echo $ac_n "checking whether declaration is required for malloc""... $ac_c" 1>&4
-if eval "test \"`echo '${'gas_cv_decl_needed_malloc'+set}'`\" = set"; then
- echo $ac_n "(cached) $ac_c" 1>&4
+echo $ac_n "checking whether declaration is required for malloc""... $ac_c" 1>&6
+if eval "test \"`echo '$''{'gas_cv_decl_needed_malloc'+set}'`\" = set"; then
+ echo $ac_n "(cached) $ac_c" 1>&6
else
cat > conftest.$ac_ext <<EOF
-#line 1491 "configure"
+#line 1420 "configure"
#include "confdefs.h"
$gas_test_headers
int main() { return 0; }
@@ -1509,7 +1438,7 @@ fi
rm -f conftest*
fi
-echo "$ac_t""$gas_cv_decl_needed_malloc" 1>&4
+echo "$ac_t""$gas_cv_decl_needed_malloc" 1>&6
test $gas_cv_decl_needed_malloc = no || {
cat >> confdefs.h <<\EOF
#define NEED_DECLARATION_MALLOC 1
@@ -1518,12 +1447,12 @@ EOF
}
-echo $ac_n "checking whether declaration is required for free""... $ac_c" 1>&4
-if eval "test \"`echo '${'gas_cv_decl_needed_free'+set}'`\" = set"; then
- echo $ac_n "(cached) $ac_c" 1>&4
+echo $ac_n "checking whether declaration is required for free""... $ac_c" 1>&6
+if eval "test \"`echo '$''{'gas_cv_decl_needed_free'+set}'`\" = set"; then
+ echo $ac_n "(cached) $ac_c" 1>&6
else
cat > conftest.$ac_ext <<EOF
-#line 1527 "configure"
+#line 1456 "configure"
#include "confdefs.h"
$gas_test_headers
int main() { return 0; }
@@ -1545,7 +1474,7 @@ fi
rm -f conftest*
fi
-echo "$ac_t""$gas_cv_decl_needed_free" 1>&4
+echo "$ac_t""$gas_cv_decl_needed_free" 1>&6
test $gas_cv_decl_needed_free = no || {
cat >> confdefs.h <<\EOF
#define NEED_DECLARATION_FREE 1
@@ -1557,12 +1486,12 @@ EOF
# Does errno.h declare errno, or do we have to add a separate declaration
# for it?
-echo $ac_n "checking whether declaration is required for errno""... $ac_c" 1>&4
-if eval "test \"`echo '${'gas_cv_decl_needed_errno'+set}'`\" = set"; then
- echo $ac_n "(cached) $ac_c" 1>&4
+echo $ac_n "checking whether declaration is required for errno""... $ac_c" 1>&6
+if eval "test \"`echo '$''{'gas_cv_decl_needed_errno'+set}'`\" = set"; then
+ echo $ac_n "(cached) $ac_c" 1>&6
else
cat > conftest.$ac_ext <<EOF
-#line 1566 "configure"
+#line 1495 "configure"
#include "confdefs.h"
#ifdef HAVE_ERRNO_H
@@ -1588,7 +1517,7 @@ fi
rm -f conftest*
fi
-echo "$ac_t""$gas_cv_decl_needed_errno" 1>&4
+echo "$ac_t""$gas_cv_decl_needed_errno" 1>&6
test $gas_cv_decl_needed_errno = no || {
cat >> confdefs.h <<\EOF
#define NEED_DECLARATION_ERRNO 1
@@ -1601,9 +1530,7 @@ subdirs="testsuite"
trap '' 1 2 15
-if test -w $cache_file; then
-echo "updating cache $cache_file"
-cat > $cache_file <<\EOF
+cat > confcache <<\EOF
# This file is a shell script that caches the results of configure
# tests run on this system so they can be shared between configure
# scripts and configure runs. It is not useful on other systems.
@@ -1619,15 +1546,24 @@ cat > $cache_file <<\EOF
# --recheck option to rerun configure.
#
EOF
-# Ultrix sh set writes to stderr and can't be redirected directly.
+# Ultrix sh set writes to stderr and can't be redirected directly,
+# and sets the high bit in the cache file unless we assign to the vars.
(set) 2>&1 |
- sed -n "s/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/: \${\1='\2'}/p" \
- >> $cache_file
+ sed -n "s/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=\${\1='\2'}/p" \
+ >> confcache
+if cmp -s $cache_file confcache; then
+ :
else
-echo "not updating unwritable cache $cache_file"
+ if test -w $cache_file; then
+ echo "updating cache $cache_file"
+ cat confcache > $cache_file
+ else
+ echo "not updating unwritable cache $cache_file"
+ fi
fi
+rm -f confcache
-trap 'rm -fr conftest* confdefs* core $ac_clean_files; exit 1' 1 2 15
+trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
test "x$prefix" = xNONE && prefix=$ac_default_prefix
# Let make expand exec_prefix.
@@ -1650,7 +1586,7 @@ DEFS=-DHAVE_CONFIG_H
echo creating $CONFIG_STATUS
rm -f $CONFIG_STATUS
cat > $CONFIG_STATUS <<EOF
-#!/bin/sh
+#! /bin/sh
# Generated automatically by configure.
# Run this file to recreate the current configuration.
# This directory was configured as follows,
@@ -1669,7 +1605,7 @@ do
echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
-version | --version | --versio | --versi | --vers | --ver | --ve | --v)
- echo "$CONFIG_STATUS generated by autoconf version 2.1"
+ echo "$CONFIG_STATUS generated by autoconf version 2.3"
exit 0 ;;
-help | --help | --hel | --he | --h)
echo "\$ac_cs_usage"; exit 0 ;;
@@ -1680,7 +1616,7 @@ done
ac_given_srcdir=$srcdir
ac_given_INSTALL="$INSTALL"
-trap 'rm -fr Makefile doc/Makefile .gdbinit:gdbinit.in conf conftest*; exit 1' 1 2 15
+trap 'rm -fr `echo "Makefile doc/Makefile .gdbinit:gdbinit.in conf" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
# Protect against being on the right side of a sed subst in config.status.
sed 's/%@/@@/; s/@%/@@/; s/%g$/@g/; /@g$/s/[\\\\&%]/\\\\&/g;
@@ -1714,6 +1650,10 @@ s%@build_os@%$build_os%g
s%@OPCODES_LIB@%$OPCODES_LIB%g
/@target_frag@/r $target_frag
s%@target_frag@%%g
+s%@cpu_type@%$cpu_type%g
+s%@obj_format@%$obj_format%g
+s%@atof@%$atof%g
+s%@emulation@%$emulation%g
s%@BFDLIB@%$BFDLIB%g
s%@ALL_OBJ_DEPS@%$ALL_OBJ_DEPS%g
s%@CC@%$CC%g
@@ -1745,7 +1685,7 @@ for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
# The file is in a subdirectory.
test ! -d "$ac_dir" && mkdir "$ac_dir"
- ac_dir_suffix="/$ac_dir"
+ ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
# A "../" for each directory in $ac_dir_suffix.
ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
else
@@ -1907,7 +1847,7 @@ while test -n "$ac_sources"; do
if test "$ac_dest_dir" != "$ac_dest" && test "$ac_dest_dir" != .; then
# The dest file is in a subdirectory.
test ! -d "$ac_dest_dir" && mkdir "$ac_dest_dir"
- ac_dest_dir_suffix="/$ac_dest_dir"
+ ac_dest_dir_suffix="/`echo $ac_dest_dir|sed 's%^\./%%'`"
# A "../" for each directory in $ac_dest_dir_suffix.
ac_dots=`echo $ac_dest_dir_suffix|sed 's%/[^/]*%../%g'`
else
@@ -1932,7 +1872,7 @@ exit 0
EOF
chmod +x $CONFIG_STATUS
rm -fr confdefs* $ac_clean_files
-test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS
+test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
if test "$no_recursion" != yes; then
@@ -2006,12 +1946,16 @@ if test "$no_recursion" != yes; then
# Make the cache file name correct relative to the subdirectory.
# A "../" for each directory in /$ac_config_dir.
- ac_dots=`echo /$ac_config_dir|sed 's%/[^/]*%../%g'`
+ ac_dots=`echo $ac_config_dir|sed -e 's%^\./%%' -e 's%[^/]$%&/%' -e 's%[^/]*/%../%g'`
case "$cache_file" in
/*) ac_sub_cache_file=$cache_file ;;
*) # Relative path.
ac_sub_cache_file="$ac_dots$cache_file" ;;
esac
+ case "$ac_given_INSTALL" in
+ [/$]*) INSTALL="$ac_given_INSTALL" ;;
+ *) INSTALL="$ac_dots$ac_given_INSTALL" ;;
+ esac
echo "running ${CONFIG_SHELL-/bin/sh} $ac_sub_configure $ac_sub_configure_args --cache-file=$ac_sub_cache_file --srcdir=$ac_sub_srcdir"
# The eval makes quoting arguments work.
diff --git a/gas/configure.in b/gas/configure.in
index a6bc552..0224026 100644
--- a/gas/configure.in
+++ b/gas/configure.in
@@ -4,7 +4,7 @@ dnl And be careful when changing it! If you must add tests with square
dnl brackets, be sure changequote invocations surround it.
dnl
dnl
-AC_PREREQ(1.118)dnl
+AC_PREREQ(2.3)dnl We only need 2.0, but pre-2.3 loses on some AIX version.
AC_INIT(as.h)dnl
dnl
bfd_gas=no
@@ -41,7 +41,6 @@ changequote([,])dnl
m8*) cpu_type=m88k ;;
mips*el) cpu_type=mips endian=little;;
mips*) cpu_type=mips endian=big ;;
- powerpc*eabi*) cpu_type=ppc obj_format=elf;;
powerpc*) cpu_type=ppc ;;
rs6000*) cpu_type=ppc ;;
sparc64) cpu_type=sparc obj_format=elf
@@ -68,6 +67,7 @@ dev=no
case ${generic_target} in
a29k-amd-udi) obj_format=coff gas_target=ebmon29k ;;
a29k-amd-ebmon) obj_format=coff gas_target=ebmon29k ;;
+ a29k-*-vxworks*) obj_format=coff ;;
alpha-*-netware*) obj_format=ecoff ;;
alpha-*-osf*) obj_format=ecoff ;;
@@ -91,10 +91,10 @@ case ${generic_target} in
i386-*-bsd*) obj_format=aout emulation=386bsd ;;
i386-*-netbsd0.8) obj_format=aout emulation=386bsd ;;
i386-*-netbsd*) obj_format=aout emulation=nbsd bfd_gas=yes;;
- i386-*-linux*elf*) obj_format=elf emulation=linux ;;
+ i386-*-linux*aout*) obj_format=aout emulation=linux ;;
i386-*-linux*coff*) obj_format=coff emulation=linux
gas_target=i386coff ;;
- i386-*-linux*) obj_format=aout emulation=linux ;;
+ i386-*-linux*) obj_format=elf emulation=linux ;;
i386-*-lynxos*) obj_format=coff gas_target=i386coff
emulation=lynx ;;
i386-*-sysv4* | i386-*-solaris* | i386-*-elf)
@@ -116,13 +116,14 @@ case ${generic_target} in
i960-*-vxworks5.*) obj_format=coff emulation=ic960 gas_target=ic960coff ;;
i960-*-vxworks*) obj_format=bout ;;
- m68k-wrs-vxworks | m68k-ericsson-ose | m68k-*-sunos*)
+ m68k-*-vxworks* | m68k-ericsson-ose | m68k-*-sunos*)
obj_format=aout emulation=sun3 ;;
m68k-motorola-sysv) obj_format=coff gas_target=m68kcoff emulation=delta ;;
m68k-bull-sysv3*) obj_format=coff gas_target=m68kcoff emulation=dpx2 ;;
m68k-apollo-*) obj_format=coff gas_target=apollo emulation=apollo ;;
m68k-*-coff | m68k-*-sysv*)
obj_format=coff gas_target=m68kcoff ;;
+ m68k-*-elf) obj_format=elf ;;
m68k-*-hpux*) obj_format=hp300 emulation=hp300 ;;
m68k-*-lynxos*) obj_format=coff gas_target=m68kcoff
emulation=lynx ;;
@@ -160,6 +161,7 @@ case ${generic_target} in
;;
ppc-*-aix*) obj_format=coff ;;
ppc-*-elf*) obj_format=elf ;;
+ ppc-*-eabi*) obj_format=elf ;;
ppc-*-netware*) obj_format=elf emulation=ppcnw ;;
ppc-*-sysv4*) obj_format=elf ;;
@@ -288,6 +290,11 @@ case ${reject_dev_configs}-${dev} in
;;
esac
+AC_SUBST(cpu_type)
+AC_SUBST(obj_format)
+AC_SUBST(atof)
+AC_SUBST(emulation)
+
AC_LINK_FILES(config/tc-${cpu_type}.c config/tc-${cpu_type}.h \
config/obj-${obj_format}.h config/obj-${obj_format}.c \
config/te-${emulation}.h config/atof-${atof}.c,